Hardware VMware

HP Storage-Provider für HP MicroServer N36L und VMware ESXi 5.0

Für den HP ProLiant MicroServer N36L gibt es für den Betrieb unter VMware ESXi 5.0 auch Storage-Provider. Mithilfe dieser Provider kann ein verbauter HP SmartArray Controller überwacht werden – so kann der Status der Festplatten und der Arrays eingesehen werden:

 

Status eines überwachten HP SmartArray P410
Status eines überwachten HP SmartArray P410

 

Benötigt wird hierfür das passende VMware-Binärpaket (VIB) – zu finden ist das Ganze als Bundle in zwei Versionen für HP-Server – 1.0 und 1.1. Die genauen Unterschiede sind mir nicht bekannt, neue Hardware wird vermutlich mit dem aktuellen 1.1er Release unterstützt, während das 1.0 Release ältere Server supportet.

 

Zur Installation wird SSH-Zugriff auf den ESXi-Server benötigt – die entsprechende Aktion kann im Sicherheitsprofil gestartet werden:

 

Start des SSH-Dienstes
Start des SSH-Dienstes

 

Nachdem eine SSH-Verbindung hergestellt wurde, kann von einer HP-Seite direkt das einzelne Paket für Storageprovider heruntergeladen und installiert werden. Im Bundle sind in aller Regel neben ILO- und Storage-Providern noch weitere Tools vorhanden, die auf dem Microserver leider Abstürze und Fehler verursachen. Daher wird NUR das Storage Provider-Paket installiert:

 

# cd /opt
# wget 'http://vibsdepot.hp.com/hp-esxi5.0uX-bundle-1.1-37/hp-smx-provider-500.02.10.61.43-434156.vib'
# esxcli software vib install -v /opt/hp-smx-provider-500.02.10.61.43-434156.vib
Installation Result
   Message: Operation finished successfully.
   Reboot Required: false
   VIBs Installed: Hewlett-Packard_bootbank_hp-smx-provider_500.02.10.61.43-434156
   VIBs Removed:
   VIBs Skipped:

Nach der Installation stehen die Provider sofort zur Verfügung – es wird kein Reboot benötigt.

Sharing is caring

4 Kommentare Neuen Kommentar hinzufügen

  1. HGU sagt:

    Hallo,

    Ich habe das heute versucht zu machen. Leider bricht die Installation mit folgendem Fehler ab.

    [VibDownloadError]
    (‘/dl/hp-smx-provider-500.02.10.61.43-434156.vib’, ”, “[Errno 4] IOError: “)
    url = /dl/hp-smx-provider-500.02.10.61.43-434156.vib
    Please refer to the log file for more details.

    Was mache ich falsch?

    1. Christian sagt:

      Hallo!

      In meinem Zitat war ein Fehler. Du hast den Download nach /opt vorgenommen, der nächste Befehl sucht aber unterhalb von /dl.
      Probiere folgendes:

      # esxcli software vib install -v /opt/hp-smx-provider-500.02.10.61.43-434156.vib

      Habe den Fehler korrigiert – danke Dir für die Meldung! 🙂

      Beste Grüße!

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht.